diff --git a/web/pgadmin/tools/schema_diff/static/js/schema_diff_ui.js b/web/pgadmin/tools/schema_diff/static/js/schema_diff_ui.js
index 51a3e970b..3a6b63ec1 100644
--- a/web/pgadmin/tools/schema_diff/static/js/schema_diff_ui.js
+++ b/web/pgadmin/tools/schema_diff/static/js/schema_diff_ui.js
@@ -349,7 +349,14 @@ export default class SchemaDiffUI {
         getter: 'type',
         formatter: function (g) {
           let icon = 'icon-coll-' + g.value;
-          return '<i class="wcTabIcon '+ icon +'"></i><span>' + g.rows[0].label + '</span>';
+          let identical=0, different=0, source_only=0, target_only=0;
+          for (var i = 0; i < g.rows.length; i++) {
+            if (g.rows[i]['status'] == self.filters[0]) identical++;
+            else if (g.rows[i]['status'] == self.filters[1]) different++;
+            else if (g.rows[i]['status'] == self.filters[2]) source_only++;
+            else if (g.rows[i]['status'] == self.filters[3]) target_only++;
+          }
+          return '<i class="wcTabIcon '+ icon +'"></i><span>' + g.rows[0].label + ' - ' + gettext('Identical') + ': <strong>' + identical + '</strong> ' + gettext('Different') + ': <strong>' + different + '</strong> ' + gettext('Source Only') + ': <strong>' + source_only + '</strong> ' + gettext('Target Only') + ': <strong>' + target_only + '</strong></span>';
         },
         aggregateCollapsed: true,
         lazyTotalsCalculation: true,
